commit:     374ac288fa934e0151c8824d0a719553cace9718
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Thu Oct  4 21:21:11 2018 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Thu Oct  4 21:21:11 2018 +0000
URL:        https://gitweb.gentoo.org/proj/musl.git/commit/?id=374ac288

media-libs/mesa: version bump to 18.1.9, syncs with tree

Signed-off-by: Anthony G. Basile <blueness <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.10

 media-libs/mesa/Manifest                           |  2 +-
 .../{mesa-17.3.9.ebuild => mesa-18.1.9.ebuild}     | 79 +++++++---------------
 2 files changed, 24 insertions(+), 57 deletions(-)

diff --git a/media-libs/mesa/Manifest b/media-libs/mesa/Manifest
index e35e427..267d401 100644
--- a/media-libs/mesa/Manifest
+++ b/media-libs/mesa/Manifest
@@ -1,2 +1,2 @@
-DIST mesa-17.3.9.tar.xz 10660456 BLAKE2B 
54f4a75f9040e50e9eea8f5c52a276578379d25d2a01ac4767ab12bee85fe5dae1492d5bb1df06b6e8c6b0fe960bbd5ea38691c75d08a6b4302c64377ce58e54
 SHA512 
83deffbc6b9823b8e93cccf57d7952106f3d55fea881e3924f9f9586f0e9347a6e3a1a36cc19c24af819f2fde3af9496652a6ff56132511a5618d5774404f63f
 DIST mesa-18.1.6.tar.xz 11142884 BLAKE2B 
fdd156fe7debf5223285dfa238070a2bd7d8ec684dec168afab78b9d2d38d53c10d939aaa64f34c2910e542dce3869adfca6383fca6a854c6dd03287a044b0e3
 SHA512 
2966210800215f5ced2720691063a8519b51ebeab9fb1e99bde4b1bd7ccc719d6395a1c29f25c88efe62d1592cf14ceafc163aca349490b1f8cee81070d46fcc
+DIST mesa-18.1.9.tar.xz 11146188 BLAKE2B 
753f0fa3780502d56927f9b0e6124b4728cb5aa3600de78585487fb8e178c6987a72b79fb56e6c310757d157f9f85f12b73a6889bd361b51b62fb1dc1c20eecd
 SHA512 
22db2950d25a3d9393e7c622c783bd177c21695569c8a95683bf77e92318e1db85672a134d4bea30c1f49a24e52bc3a2c1a0ac15deafb3a8fcbfb6de6a18adc2

diff --git a/media-libs/mesa/mesa-17.3.9.ebuild 
b/media-libs/mesa/mesa-18.1.9.ebuild
similarity index 86%
rename from media-libs/mesa/mesa-17.3.9.ebuild
rename to media-libs/mesa/mesa-18.1.9.ebuild
index 20af8b6..1de081b 100644
--- a/media-libs/mesa/mesa-17.3.9.ebuild
+++ b/media-libs/mesa/mesa-18.1.9.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=6
 
-EGIT_REPO_URI="https://anongit.freedesktop.org/git/mesa/mesa.git";
+EGIT_REPO_URI="https://gitlab.freedesktop.org/mesa/mesa.git";
 
 if [[ ${PV} = 9999 ]]; then
        GIT_ECLASS="git-r3"
@@ -25,7 +25,7 @@ if [[ $PV == 9999 ]]; then
        SRC_URI=""
 else
        SRC_URI="https://mesa.freedesktop.org/archive/${MY_P}.tar.xz";
-       KEYWORDS="amd64 arm arm64 ia64 ~mips ppc ~sh sparc x86"
+       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~x86"
 fi
 
 LICENSE="MIT"
@@ -46,7 +46,7 @@ IUSE="${IUSE_VIDEO_CARDS}
 REQUIRED_USE="
        d3d9?   ( dri3 gallium )
        llvm?   ( gallium )
-       opencl? ( gallium llvm )
+       opencl? ( gallium llvm || ( video_cards_r600 video_cards_radeonsi ) )
        openmax? ( gallium )
        gles1?  ( egl )
        gles2?  ( egl )
@@ -75,13 +75,9 @@ REQUIRED_USE="
        video_cards_vmware? ( gallium )
 "
 
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.89"
-# keep blocks in rdepend for binpkg
+LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.91"
 RDEPEND="
-       !<x11-base/xorg-server-1.7
-       !<=x11-proto/xf86driproto-2.0.3
-       classic? ( app-eselect/eselect-mesa )
-       gallium? ( app-eselect/eselect-mesa )
+       !app-eselect/eselect-mesa
        >=app-eselect/eselect-opengl-1.3.0
        >=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
        >=sys-libs/zlib-1.2.8[${MULTILIB_USEDEP}]
@@ -90,7 +86,7 @@ RDEPEND="
        >=x11-libs/libXdamage-1.1.4-r1:=[${MULTILIB_USEDEP}]
        >=x11-libs/libXext-1.3.2:=[${MULTILIB_USEDEP}]
        >=x11-libs/libXxf86vm-1.1.3:=[${MULTILIB_USEDEP}]
-       >=x11-libs/libxcb-1.9.3:=[${MULTILIB_USEDEP}]
+       >=x11-libs/libxcb-1.13:=[${MULTILIB_USEDEP}]
        x11-libs/libXfixes:=[${MULTILIB_USEDEP}]
        unwind? ( sys-libs/libunwind[${MULTILIB_USEDEP}] )
        llvm? (
@@ -119,7 +115,7 @@ RDEPEND="
        )
        vdpau? ( >=x11-libs/libvdpau-1.1:=[${MULTILIB_USEDEP}] )
        wayland? (
-               >=dev-libs/wayland-1.11.0:=[${MULTILIB_USEDEP}]
+               >=dev-libs/wayland-1.15.0:=[${MULTILIB_USEDEP}]
                >=dev-libs/wayland-protocols-1.8
        )
        xvmc? ( >=x11-libs/libXvMC-1.0.8:=[${MULTILIB_USEDEP}] )
@@ -147,14 +143,16 @@ RDEPEND="${RDEPEND}
 # 1. List all the working slots (with min versions) in ||, newest first.
 # 2. Update the := to specify *max* version, e.g. < 7.
 # 3. Specify LLVM_MAX_SLOT, e.g. 6.
-LLVM_MAX_SLOT="5"
+LLVM_MAX_SLOT="6"
 LLVM_DEPSTR="
        || (
+               sys-devel/llvm:7[${MULTILIB_USEDEP}]
+               sys-devel/llvm:6[${MULTILIB_USEDEP}]
                sys-devel/llvm:5[${MULTILIB_USEDEP}]
                sys-devel/llvm:4[${MULTILIB_USEDEP}]
                >=sys-devel/llvm-3.9.0:0[${MULTILIB_USEDEP}]
        )
-       <sys-devel/llvm-6:=[${MULTILIB_USEDEP}]
+       sys-devel/llvm:=[${MULTILIB_USEDEP}]
 "
 LLVM_DEPSTR_AMDGPU=${LLVM_DEPSTR//]/,llvm_targets_AMDGPU(-)]}
 CLANG_DEPSTR=${LLVM_DEPSTR//llvm/clang}
@@ -276,11 +274,11 @@ src_prepare() {
        eapply "${FILESDIR}"/${PN}-17-execinfo.patch
        eapply "${FILESDIR}"/${PN}-17-musl-string_h.patch
        eapply "${FILESDIR}"/${PN}-17-musl-invocation_name.patch
-       eapply "${FILESDIR}"/${PN}-17-musl-pthread.patch
-
-       eautoreconf
-
+       eapply "${FILESDIR}"/${PN}-18-musl-pthread.patch
+       eapply "${FILESDIR}"/${PN}-18-intel-missing-time_t.patch
+       eapply "${FILESDIR}"/${PN}-18-musl-amdgpu-include-pthread.patch
        eapply_user
+       eautoreconf
 }
 
 multilib_src_configure() {
@@ -399,6 +397,7 @@ multilib_src_configure() {
                $(use_enable unwind libunwind) \
                --enable-valgrind=$(usex valgrind auto no) \
                --enable-llvm-shared-libs \
+               --disable-opencl-icd \
                --with-dri-drivers=${DRI_DRIVERS} \
                --with-gallium-drivers=${GALLIUM_DRIVERS} \
                --with-vulkan-drivers=${VULKAN_DRIVERS} \
@@ -409,37 +408,14 @@ multilib_src_configure() {
 multilib_src_install() {
        emake install DESTDIR="${D}"
 
-       if use classic || use gallium; then
-                       ebegin "Moving DRI/Gallium drivers for dynamic 
switching"
-                       local gallium_drivers=( i915_dri.so i965_dri.so 
r300_dri.so r600_dri.so swrast_dri.so )
-                       keepdir /usr/$(get_libdir)/dri
-                       dodir /usr/$(get_libdir)/mesa
-                       for x in ${gallium_drivers[@]}; do
-                               if [ -f "$(get_libdir)/gallium/${x}" ]; then
-                                       mv -f 
"${ED}/usr/$(get_libdir)/dri/${x}" 
"${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
-                                               || die "Failed to move ${x}"
-                               fi
-                       done
-                       if use classic; then
-                               emake -C "${BUILD_DIR}/src/mesa/drivers/dri" 
DESTDIR="${D}" install
-                       fi
-                       for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
-                               if [ -f ${x} -o -L ${x} ]; then
-                                       mv -f "${x}" "${x/dri/mesa}" \
-                                               || die "Failed to move ${x}"
-                               fi
-                       done
-                       pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd 
failed"
-                       ln -s ../mesa/*.so . || die "Creating symlink failed"
-                       # remove symlinks to drivers known to eselect
-                       for x in ${gallium_drivers[@]}; do
-                               if [ -f ${x} -o -L ${x} ]; then
-                                       rm "${x}" || die "Failed to remove ${x}"
-                               fi
-                       done
-                       popd
-               eend $?
+       if use wayland; then
+               # These files are now provided by >=dev-libs/wayland-1.15.0
+               rm "${ED}/usr/$(get_libdir)/libwayland-egl.so" || die
+               rm "${ED}/usr/$(get_libdir)/libwayland-egl.so.1" || die
+               rm "${ED}/usr/$(get_libdir)/libwayland-egl.so.1.0.0" || die
+               rm "${ED}/usr/$(get_libdir)/pkgconfig/wayland-egl.pc" || die
        fi
+
        if use opencl; then
                ebegin "Moving Gallium/Clover OpenCL implementation for dynamic 
switching"
                local cl_dir="/usr/$(get_libdir)/OpenCL/vendors/mesa"
@@ -469,10 +445,6 @@ multilib_src_install_all() {
        if use !bindist; then
                dodoc docs/patents.txt
        fi
-
-       # Install config file for eselect mesa
-       insinto /usr/share/mesa
-       newins "${FILESDIR}/eselect-mesa.conf.9.2" eselect-mesa.conf
 }
 
 multilib_src_test() {
@@ -491,11 +463,6 @@ pkg_postinst() {
        echo
        eselect opengl set --use-old ${OPENGL_DIR}
 
-       # Select classic/gallium drivers
-       if use classic || use gallium; then
-               eselect mesa set --auto
-       fi
-
        # Switch to mesa opencl
        if use opencl; then
                eselect opencl set --use-old ${PN}

Reply via email to